Name:           solarspeed-ioncube
Version:        5.0.15
Release:        1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         SOLARSPEED.NET
URL:            http://www.solarspeed.net
License:        Proprietory
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      i386
Distribution:   BlueOnyx 5107R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        IonCube is a commercial encryption and accellerator program for PHP scripts.
Requires: 		libmcrypt >= 2.5.7
Requires: 		libtool-ltdl
Requires: 		httpd
Requires: 		base-admserv-capstone
Requires: 		swatch

%description
IonCube is a commercial encryption and accellerator program for PHP scripts.
Solarspeed.net GUI enhanced software uses IonCube to both protect the 
source code and to accellerate the execution of those scrips.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
echo "Working on $RPM_BUILD_ROOT"

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/php.d/ioncube.ini
%attr(0644,root,root) /home/solarspeed/ioncube/*
%attr(0644,root,root) /home/solarspeed/licenses/solarspeed_generic.key
%attr(0644,root,root) /home/solarspeed/licenses/0_README.TXT

%changelog

* Thu Aug 20 2015 Michael Stauber <mstauber@solarspeed.net>
- [5.0.15-1:] Updated to new version.

* Sun Mar 15 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-3:] Post-install fixes for CD building

* Sun Mar 15 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-2:] Requirements updated for CD building
- Totally new SPEC-file from scratch.

* Fri Mar 13 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.7.5-1:] Updated to new version.

* Sun Feb 01 2015 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-3:] Requirements updated for CD building

* Thu Jul 17 2014 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-2:] Build for 5209R and PHP-5.4

* Tue Jul 30 2013 Michael Stauber <mstauber@solarspeed.net>
- [4.4.1-1:] Updated to v4.4.1

* Fri Jan 18 2013 Michael Stauber <mstauber@solarspeed.net>
- [4.2.2-1:] Updated to v4.2.2

* Sat Aug 06 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.10-SOL1:] Updated to v4.0.10

* Tue Jul 12 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL2:] Updated for BlueOnyx 5107R

* Sun Jun 19 2011 Michael Stauber <mstauber@solarspeed.net>
- [4.0.9-SOL1:] Updated for BlueOnyx

* Mon Dec 22 2008 Michael Stauber <mstauber@solarspeed.net>
- [3.1.32-2008AV06:] Updated for BlueOnyx

